<template>
  <div class="range">
    <div
      v-for="(key, index) in ['from', 'to']"
      :key="key"
      class="range__item"
    >
      <div class="range__hint">
        {{ $t(`fields.range.${key}`) }}
      </div>
      <div class="range__field">
        <FormInput v-model="val[index]" />
      </div>
    </div>
  </div>
</template>

<script>
import FormInput from '../input/FormInput';

export default {
  name: 'FormRange',
  components: { FormInput },
  props: {
    value: Array,
  },
  data() {
    return {
      val: this.value,
    };
  },
  watch: {
    val(val) {
      this.$emit('input', val);
    },
    value(value) {
      this.val = value;
    },
  },

};
</script>

<style lang="scss">
  .range {
    display: flex;
    align-items: center;
    margin: 0 -10px;

    &__item {
      margin: 0 10px;

      display: flex;
      align-items: center;
    }

    &__hint {
      margin-right: 10px;
      text-transform: lowercase;
    }

    &__field {
      max-width: 100px;
    }
  }
</style>
